org.vishia.gral.ifc

## Class GralButtonKeyMenu

- java.lang.Object
- - org.vishia.gral.ifc.GralButtonKeyMenu

-     public class GralButtonKeyMenu
      extends java.lang.Object

  This class contains Strings and keys for functions of an application in a common way to build menus, buttons etc.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `GralUserAction` | `action` The action which is associated to all the functions.
    `java.lang.String` | `buttonId` Identification for the button to present. 3 chars: gF1
    `java.lang.String` | `buttontext` Text for the button
    `int` | `key1` One of two possible `KeyCode` for this functionality.
    `int` | `key2` One of two possible `KeyCode` for this functionality.
    `java.lang.String` | `menu` Menu bar string.
    `java.lang.String` | `menuContext` Context menu string.
    `static int` | `version` Version, history and copyright/copyleft.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GralButtonKeyMenu(GralUserAction action, java.lang.String menu, java.lang.String menuContext, java.lang.String buttonId, java.lang.String buttontext, int key1, int key2)`
    `GralButtonKeyMenu(GralUserAction action, java.lang.String menu, java.lang.String menuContext, java.lang.String buttonId, java.lang.String buttontext, int key1, int key2, java.util.List<GralButtonKeyMenu> addToList)` Constructs and adds the instance to a given list.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### version

          public static final int version

      Version, history and copyright/copyleft.
      - 2013-03-30 created. Situation before: discrete variables in `FcmdIdents`
      Copyright/Copyleft:
      For this source the LGPL Lesser General Public License, published by the Free Software Foundation is valid. It means:
      1. You can use this source without any restriction for any desired purpose.
      2. You can redistribute copies of this source to everybody.
      3. Every user of this source, also the user of redistribute copies with or without payment, must accept this license for further using.
      4. But the LPGL is not appropriate for a whole software product, if this source is only a part of them. It means, the user must publish this part of source, but doesn't need to publish the whole source of the own product.
      5. You can study and modify (improve) this source for own using or for redistribution, but you have to license the modified sources likewise under this LGPL Lesser General Public License. You mustn't delete this Copyright/Copyleft inscription in this source file.
      If you intent to use this source without publishing its usage, you can get a second license subscribing a special contract with the author.
      See Also:
        Constant Field Values

    - #### menu

          public java.lang.String menu

      Menu bar string. Use for example = "&Help/&Settings [cP]".

    - #### menuContext

          public java.lang.String menuContext

      Context menu string.

    - #### buttonId

          public java.lang.String buttonId

      Identification for the button to present. 3 chars: gF1

    - #### buttontext

          public java.lang.String buttontext

      Text for the button

    - #### key1

          public int key1

      One of two possible `KeyCode` for this functionality.

    - #### key2

          public int key2

      One of two possible `KeyCode` for this functionality.

    - #### action

          public GralUserAction action

      The action which is associated to all the functions.

  - ### Constructor Detail

    - #### GralButtonKeyMenu

          public GralButtonKeyMenu(GralUserAction action,
                                   java.lang.String menu,
                                   java.lang.String menuContext,
                                   java.lang.String buttonId,
                                   java.lang.String buttontext,
                                   int key1,
                                   int key2,
                                   java.util.List<GralButtonKeyMenu> addToList)

      Constructs and adds the instance to a given list.
      Parameters:
        `action` -
        `menu` -
        `menuContext` -
        `buttonId` -
        `buttontext` -
        `key1` -
        `key2` -
        `addToList` - add to this list if not null.

    - #### GralButtonKeyMenu

          public GralButtonKeyMenu(GralUserAction action,
                                   java.lang.String menu,
                                   java.lang.String menuContext,
                                   java.lang.String buttonId,
                                   java.lang.String buttontext,
                                   int key1,
                                   int key2)